<?php
/**
 * SAML 2.0 remote SP metadata for simpleSAMLphp.
 *
 * See: http://simplesamlphp.org/docs/trunk/simplesamlphp-reference-sp-remote
 */

/*
 * Example simpleSAMLphp SAML 2.0 SP
 */
/*
$metadata['https://saml2sp.example.org'] = array(
	'AssertionConsumerService' => 'https://saml2sp.example.org/simplesaml/module.php/saml/sp/saml2-acs.php/default-sp',
	'SingleLogoutService' => 'https://saml2sp.example.org/simplesaml/module.php/saml/sp/saml2-logout.php/default-sp',
);
*/

/*
 * This example shows an example config that works with Google Apps for education.
 * What is important is that you have an attribute in your IdP that maps to the local part of the email address
 * at Google Apps. In example, if your google account is foo.com, and you have a user that has an email john@foo.com, then you
 * must set the simplesaml.nameidattribute to be the name of an attribute that for this user has the value of 'john'.
 */
/*
$metadata['google.com'] = array(
	'AssertionConsumerService' => 'https://www.google.com/a/g.feide.no/acs',
	'NameIDFormat' => 'urn:oasis:names:tc:SAML:2.0:nameid-format:email',
	'simplesaml.nameidattribute' => 'uid',
	'simplesaml.attributes' => FALSE,
);
*/

$metadata['https://test-sp.utsystem.edu/shibboleth'] = array (
  'entityid' => 'https://test-sp.utsystem.edu/shibboleth',
  'contacts' => 
  array (
  ),
  'metadata-set' => 'saml20-sp-remote',
  'AssertionConsumerService' => 
  array (
    0 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SAML2/POST',
      'index' => 1,
    ),
    1 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SAML2/POST-SimpleSign',
      'index' => 2,
    ),
    2 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SAML2/Artifact',
      'index' => 3,
    ),
    3 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:PAOS',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SAML2/ECP',
      'index' => 4,
    ),
    4 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:1.0:profiles:browser-post',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SAML/POST',
      'index' => 5,
    ),
    5 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:1.0:profiles:artifact-01',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SAML/Artifact',
      'index' => 6,
    ),
  ),
  'SingleLogoutService' => 
  array (
    0 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:SOAP',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SLO/SOAP',
    ),
    1 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SLO/Redirect',
    ),
    2 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SLO/POST',
    ),
    3 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact',
      'Location' => 'https://test-sp.utsystem.edu/Shibboleth.sso/SLO/Artifact',
    ),
  ),
  'keys' => 
  array (
    0 => 
    array (
      'encryption' => true,
      'signing' => true,
      'type' => 'X509Certificate',
      'X509Certificate' => 'MIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQCw0l+RgTauTQJ1
XzQTdeo1kQUsc4XnLvuIk0RvNUzsCzguj8jNmIuU/3EAURd9Y8xIa2vkSoJpUGJI
7fOMCxDWW1qW6T82SjFwlYFWeNsvEpVS6IJpT61YXog8iBEm9sjSPvL3tTww8g6t
tz7qrCr4PnP9LgvNEPpLyF4yxTglrVnu9t6JzULMFjGVLhIgsTCQNeasbr+KK79X
n1bt8+U4PuU3njjAdBJ8dv1dkCpYZ1li0ku132obHVlZS9yzuYZR3Xlh39DYKxME
0bBOARvsRTrb7yNdX8hHnTGuFurPk+68/BzS2UVW9q9wKujdfEDmsmATo7QqUbxT
yrZID/PTAgMBAAECggEBAJDGPp9o93dw8DFfmMjSQ8hGC8FgeONXcXVadq7DKk8d
xItDCLtlSevd1gzXWG8+9fTZl0Ycx3go68Agq8cfDFMmCx8CrNHrn1052+MMIxIA
mih+3MATD7AJ/mvpUHnhl32lMtQkHLtKhUAwiCAmhSwqHlfOirUFUJoZ3R6eoaEe
V4HoVEn3JNvoeArgHLhVFgLUrwtTuy8OfVmv6ipwBcD2GO9MbxzZt5OEplSfpBAF
gKEWKSkccGWcd+J2Kv0EQl7jYvkz8zYI48rJKx90x58DG1C5I31XXfYRyz8/+dpi
2x+FsBIH4xqYeInMqm2vv30Oih22QcUHUIKfGQz4wtECgYEA6FrsBsbtqeZWZfgW
OhNj702dFt67PsLinvwPsKLmJ7Sk944hHDP9f0SXMbKxklM9e+Y5d5mfzx1QEPNq
G4Pl4b/n9LcW+0LpNJmyALLlr34whsv+akMgLhi/4Tdua8bYESL1f9F+oK5J0c6G
fSUqUkbP3ifOtAcQM6hleqnZSQsCgYEAwtDAnxnalEKKgA9/cMUksP1PocnXtiRB
0fxbcVNIU1zB8S+TtFKsqkZVaGEu/67mFk4QHQbpB+VRhPR2uQv91t5jt2XRNIht
jnXTNGGEuJQtc/xNH8xGKSi8MExQz9xFT9kLjZeKi/2/IzVdz5PNkEWjkIrwToMd
3Ak09npwDVkCgYA1rlPbWPgtiXaqhj90WWh8L/07/GdcH6BFxMxHLctonvaB7wc9
QdGuJoWbyMH3oV2SE2VxeT+PlSEbWXFJPBbPKgwH4Ijhsdq4+U1DlhE0kz3Y1qZH
nIyBudwSx0Cui7j9dIstZZQQwVNysnklzoFRkuSRWbcKppsapCwVw8nccwKBgF8W
bS46/EkpQVjIN7ffQc1xlpCtaDBq+gV4W1mxALhPqgoC4uE9CTIDKmTMKph50axJ
ZewFF3DXKTbv65Lem4NpANrfQ4GUpYTHVdNXVeSRzq2yFCLVHdmxHEmmtjr+lIYo
tk7iDKnPrJ+OyL8ssUUd+HvwlOJ9dPGVPNihYlfhAoGAWb3dZhvpxjpQKhBROzfp
D9sbF4l+DwZt9ZyBFLqddUARDnT9x8Jq23Cn5Ajdt+LvFVXjVB+dzepeCs0+qdgJ
Yifrl7mTBQi7YRoDBarbB2Mw91f+C/kr3V/paCR2Sf5iSw0tFHtrJgB8/fuU/DRx
n/RgH62MjusrPh+X6CVuNuc=',
    ),
  ),
);

$metadata['https://stc-test14.cis.brown.edu/shibboleth'] = array (
  'entityid' => 'https://stc-test14.cis.brown.edu/shibboleth',
  'contacts' => 
  array (
  ),
  'metadata-set' => 'saml20-sp-remote',
  'AssertionConsumerService' => 
  array (
    0 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SAML2/POST',
      'index' => 1,
    ),
    1 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SAML2/POST-SimpleSign',
      'index' => 2,
    ),
    2 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SAML2/Artifact',
      'index' => 3,
    ),
    3 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:PAOS',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SAML2/ECP',
      'index' => 4,
    ),
    4 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:1.0:profiles:browser-post',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SAML/POST',
      'index' => 5,
    ),
    5 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:1.0:profiles:artifact-01',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SAML/Artifact',
      'index' => 6,
    ),
  ),
  'SingleLogoutService' => 
  array (
    0 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:SOAP',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SLO/SOAP',
    ),
    1 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SLO/Redirect',
    ),
    2 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SLO/POST',
    ),
    3 => 
    array (
      'Binding' => 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact',
      'Location' => 'https://stc-test14.cis.brown.edu/Shibboleth.sso/SLO/Artifact',
    ),
  ),
  'keys' => 
  array (
    0 => 
    array (
      'encryption' => true,
      'signing' => true,
      'type' => 'X509Certificate',
      'X509Certificate' => 'MIIDDzCCAfegAwIBAgIJANK8nPsN+70KMA0GCSqGSIb3DQEBBQUAMCMxITAfBgNV
BAMTGHN0Yy10ZXN0MTQuY2lzLmJyb3duLmVkdTAeFw0xMjA4MDgxNjE3MTZaFw0y
MjA4MDYxNjE3MTZaMCMxITAfBgNVBAMTGHN0Yy10ZXN0MTQuY2lzLmJyb3duLmVk
dTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAMNFPp0JXNmLFl7IMvF0
lqffhJv2lntkzv2pNCwb8HHYd4g7YCIJgvRVr1XV5tu6lmsr5NzJa2zm6LWhvtza
fu7vAZqaWUXYznwncOIF3lX2C9XmIBN9ejpi0oVmeLHaFeCZtch/IJX04fGXvz0/
6XyFZHUdAiJtXhUajXNj6gcnZKvkkc9OCpisz1cISoYXHHz+Jl3nil2pSh/6pVwN
1baMNjT6vM1EVg8SffkeCuPrxPuBKIgck34+Ea2zyD2ZVhIt0YLlHlkxUXHEiMZy
sCbfTPITUQuA+QqvnxfvgsPQCMHRbUEBTO0jscVQ7DGLAEhJUdR6aM4QfBieTrwC
VxcCAwEAAaNGMEQwIwYDVR0RBBwwGoIYc3RjLXRlc3QxNC5jaXMuYnJvd24uZWR1
MB0GA1UdDgQWBBRP3DTEHcqYnoRzpCsbFDmYKnWv7zANBgkqhkiG9w0BAQUFAAOC
AQEAhEcg6u+dk4o/XGww5yy71leagaEOTuUgcq2kZTcN8VBpaeqW7M+Ynl1lY7Q6
FEzcOnWS+F4c5otHz0hEogt0Dp1f9qmeUbe9IE+ch0J7+/qdiEJ2W0/STLmEScgO
UhXyk25efqE26oUcwW5xBBePLjVmWlir0UFHGkoEvQnvANbGbWC5EAbvDzyLQa6X
zSghf6rTJwTwBDxjHFvinyLX/xdcW0kZuMYjnuGBE/zCrmmEPKLHF50ff/Nr2b1s
IhK9vPWGa6HTaCHmLgxmwQQJFP7pWeFnT2QEhWCVG1dIxgdF5TBp+vHVGcbIpluf
BMuDx7PG9iH7cLVcSQAE2BiHrQ==
',
    ),
  ),
);


